﻿<?php
    include 'configuration.php';
 
    $cfg             = new JConfig();
    $cfg_name         = $cfg->sitename;
    $cfg_company     = $cfg->fromname;
    $cfg_url         = 'magiyachaya.ru'; //Адрес Вашего сайта без http://
    $hostname         = $cfg->host;
    $username         = $cfg->user;
    $password         = $cfg->password;
    $dbName         = $cfg->db;
 
    $ct                = $cfg->dbprefix."jshopping_categories";
    $pt             = $cfg->dbprefix."jshopping_products";
    $pc                = $cfg->dbprefix."jshopping_products_to_categories";
 
    echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";         //кодировка самого .xml файла
    echo "<!DOCTYPE yml_catalog SYSTEM \"shops.dtd\">\n";
    echo "<yml_catalog date=\"".date("Y-m-d H:i")."\">\n";
    echo "<shop>\n";
    echo "<name>$cfg_name</name>\n";
    echo "<company>$cfg_company</company>\n";
    echo "<url>$cfg_url</url>\n";
    echo "<currencies>\n\t<currency id=\"RUR\" rate=\"1\"/>\n</currencies>\n";
 
    $mysqli = new mysqli($hostname, $username, $password, $dbName);
    if (mysqli_connect_errno()) {
          printf("Подключение к серверу MySQL невозможно. Код ошибки: %s\n", mysqli_connect_error());
          exit;
    }
 
    mysqli_query($mysqli, "SET NAMES 'utf8' COLLATE 'utf8_general_ci'");    //кодировка подключения к БД
    mysqli_query($mysqli, "SET CHARACTER SET 'utf8'");
 
    echo "<categories>\n";
    if ($res = $mysqli->query("SELECT `name_ru-RU` AS cat_name, category_id FROM $ct WHERE category_publish = 1 ORDER BY category_id"))
 
    while( $row = $res->fetch_assoc() ) {
        printf("\t<category id=\"".$row['category_id']."\">".$row['cat_name']."</category>\n");
        }
    echo "</categories>\n";
 
    echo "<offers>\n";
    if ($res = $mysqli->query("
       SELECT
       $pt.product_id,
       $pt.product_url,
       $pt.product_ean,
       $pt.`product_quantity` AS quantity,
       $pt.product_price,
       $pt.`name_ru-RU` AS name,
       $pt.image,
       $pt.`short_description_ru-RU` AS description,
       $ct.`alias_ru-RU` AS cat_url,
       $ct.category_id
       FROM $pt
       LEFT JOIN $pc ON $pt.product_id = $pc.product_id
       LEFT JOIN $ct ON $pc.`category_id` = $ct.category_id
       WHERE
       product_publish = 1
       ORDER BY product_id"))
 
    while( $row = $res->fetch_assoc() ) {
 
        if($row['quantity']>0) { $available = 'true'; }
        else { $available = 'false'; }
     
echo "\t<offer id=\"".$row['product_id']."\" available=\"".$available."\" bid=\"10\">\n"; //bid = цена в центах за переход, 10 = 3 руб.
        echo "\t\t<url>http://".$cfg_url.'/'.$row['cat_url'].'/'.$row['product_url']."</url>\n";
        echo "\t\t<price>".$row['product_price']."</price>\n";
          echo "\t\t<currencyId>RUR</currencyId>\n"; // выборка не реализована, у меня только рубли
        echo "\t\t<categoryId>".$row['category_id']."</categoryId>\n";
        if(!empty($row['image'])) {
        echo "\t\t<picture>http://$cfg_url/components/com_jshopping/files/img_products/".$row['image']."</picture>\n"; }
        echo "\t\t<store>true</store> \n";
        echo "\t\t<delivery>true</delivery> \n"; //Возможность доставки
        echo "\t\t<local_delivery_cost>500</local_delivery_cost> \n"; //Стоимость доставки в рублях в домашнем регионе
        echo "\t\t<name>".strip_tags($row['name'])."</name>\n";
        echo "\t\t<vendor>ПРОИЗВОДИТЕЛЬ</vendor> \n"; //Выборка не реализована, параметр не обязательный, можно удалить строку
        echo "\t\t<vendorCode>".$row['product_ean']."</vendorCode>\n";
        echo "\t\t<description>".strip_tags($row['description'])."</description>\n";
        echo "\t</offer>\n";
    }
    echo "</offers>\n";
 
    $res->close();
    $mysqli->close();
 
echo "</shop>\n";
echo "</yml_catalog>";
?>